CommandLine.ParseResult.MatchedGroupMultiple (picocli 4.0.0-alpha-1 API)
Date: 2019-03-30

picocli

## Class CommandLine.ParseResult.MatchedGroupMultiple

- java.lang.Object
- - picocli.CommandLine.ParseResult.MatchedGroupMultiple

- Enclosing class:
    CommandLine.ParseResult

      public static class CommandLine.ParseResult.MatchedGroupMultiple
      extends java.lang.Object

  A group's multiplicity specifies how many multiples of a group can/must appear on the command line before a group is fully matched. This class models a single "multiple". For example, this group: `(-a -b) (-a -b)` requires two multiples of its arguments to fully match.
  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandLine.ParseResult.MatchedGroup` | `container()` Returns the container `MatchedGroup` of this multiple.
    `CommandLine.Model.ArgGroupSpec` | `group()` Returns the `ArgGroupSpec` of the container `MatchedGroup` of this multiple.
    `boolean` | `isEmpty()` Returns `true` if this multiple has no matched arguments and no matched subgroups.
    `java.util.Map<CommandLine.Model.ArgGroupSpec,CommandLine.ParseResult.MatchedGroup>` | `matchedSubgroups()` Returns matches for the subgroups, if any.
    `java.util.List<java.lang.Object>` | `matchedValues(CommandLine.Model.ArgSpec argSpec)` Returns the values matched for the specified argument, converted to the type of the argument.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Returns `true` if this multiple has no matched arguments and no matched subgroups.

    - #### group

          public CommandLine.Model.ArgGroupSpec group()

      Returns the `ArgGroupSpec` of the container `MatchedGroup` of this multiple.

    - #### container

          public CommandLine.ParseResult.MatchedGroup container()

      Returns the container `MatchedGroup` of this multiple.

    - #### matchedSubgroups

          public java.util.Map<CommandLine.Model.ArgGroupSpec,CommandLine.ParseResult.MatchedGroup> matchedSubgroups()

      Returns matches for the subgroups, if any.

    - #### matchedValues

          public java.util.List<java.lang.Object> matchedValues(CommandLine.Model.ArgSpec argSpec)

      Returns the values matched for the specified argument, converted to the type of the argument.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`